Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms
Class GetMapServiceInvokerForNL

    java.lang.Object
      org.deegree.ogcwebservices.wms.GetMapServiceInvoker
          org.deegree.ogcwebservices.wms.GetMapServiceInvokerForNL

All Implemented Interfaces:
  Callable<Object>

    public class GetMapServiceInvokerForNL

extends GetMapServiceInvoker
implements Callable<Object>

Class for accessing the data of one layers datasource and creating a `Theme` from it.

Since:
  2.0
Version:
  $Revision: 22342 $, 1.0. $Revision: 22342 $, $Date: 2010-02-02 16:58:18 +0100 (Di, 02. Feb 2010) $
Author:
  Andreas Poth, last edited by: $Author: aschmitz $

Nested Class Summary
`(package private) class` | `GetMapServiceInvokerForNL.WMSExceptionFromWCS`

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.GetMapServiceInvoker
`handler, scaleDen`

Constructor Summary
`GetMapServiceInvokerForNL(DefaultGetMapHandler handler, NamedLayer layer, AbstractDataSource datasource, UserStyle style, double scale)` Creates a new ServiceInvokerForNL object.

Method Summary
`Object` | `call()`
`protected static GetCoverage` | `createGetCoverageRequest(AbstractDataSource ds, GetMap request)` creates a getCoverage request considering the getMap request and the filterconditions defined in the submitted `DataSource` object The request will be encapsualted within a `OGCWebServiceEvent`.
`Callable<Object>` | `getWrappedCallable()`
`Object` | `handleResponse(Object result)`

Methods inherited from class org.deegree.ogcwebservices.wms.GetMapServiceInvoker
`extractNameSpaceDef, findGeoProperties, getResponsibleService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMapServiceInvokerForNL

    GetMapServiceInvokerForNL(DefaultGetMapHandler handler,
                              NamedLayer layer,
                              AbstractDataSource datasource,
                              UserStyle style,
                              double scale)

  Creates a new ServiceInvokerForNL object.

  Parameters:
    `handler` -
    `layer` -
    `datasource` -
    `style` -
    `scale` -

Method Detail

### getWrappedCallable

    public Callable<Object> getWrappedCallable()
                                        throws Exception

  Returns:
    the callable actually fetching the data
  Throws:
    `Exception`

### call

    public Object call()
                throws OGCWebServiceException

  Specified by:
    `call` in interface `Callable<Object>`
  Throws:
    `OGCWebServiceException`

### createGetCoverageRequest

    protected static GetCoverage createGetCoverageRequest(AbstractDataSource ds,
                                                          GetMap request)
                                                   throws InconsistentRequestException

  creates a getCoverage request considering the getMap request and the filterconditions defined in the submitted `DataSource` object The request will be encapsualted within a `OGCWebServiceEvent`.

  Parameters:
    `ds` - the datasource
    `request` - the GetMap operation
  Returns:
    GetCoverage request object
  Throws:
    `InconsistentRequestException`

### handleResponse

    public Object handleResponse(Object result)
                          throws Exception

  Parameters:
    `result` -
  Returns:
    the response objects
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org